## org.eclipse.datatools.connectivity.ui.wizards
Interface IDriverUIContributor

All Known Implementing Classes:
  ASAOtherDriverUIContributor, ASEDriverUIContributorBase, ASEOtherDriverUIContributor, DB2LUWDriverUIContributorBase, HSQLDBDriverUIContributor, InformixDriverUIContributorBase, OracleThinDriverUIContributorBase, OtherDriverUIContributor, SQLITEDriverUIContributor, SQLServer2000DriverUIContributorBase, SQLServer2005DriverUIContributorBase

    public interface IDriverUIContributor

Method Summary
`boolean` `determineContributorCompletion()`
`org.eclipse.swt.widgets.Composite` `getContributedDriverUI(org.eclipse.swt.widgets.Composite parent, boolean isReadOnly)`
`java.util.List` `getSummaryData()`
`void` `loadProperties()`
`void` `setDialogPage(org.eclipse.jface.dialogs.DialogPage parentPage)`
`void` `setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)`

Method Detail

### getContributedDriverUI

    org.eclipse.swt.widgets.Composite getContributedDriverUI(org.eclipse.swt.widgets.Composite parent,
                                                             boolean isReadOnly)

### determineContributorCompletion

    boolean determineContributorCompletion()

### setDialogPage

    void setDialogPage(org.eclipse.jface.dialogs.DialogPage parentPage)

### setDriverUIContributorInformation

    void setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)

### loadProperties

    void loadProperties()

### getSummaryData

    java.util.List getSummaryData()